/**
 * Test case for define.
 * Runs with mocha.
 */
'use strict'

const define = require('../lib/define.js')
const mkdirp = require('mkdirp')
const assert = require('assert')
const co = require('co')

describe('define', () => {
  let tmpDir = `${__dirname}/../tmp`

  function noop () {
  }

  before((done) => {
    mkdirp(tmpDir, done)
  })

  after((done) => {
    done()
  })

  it('Define', () => co(function * () {
    let task = define([
      "hoge.example.com",
      "fuge.example.com"
    ], {
      configuration: require('../doc/mocks/mock-Apemanfile'),
      out: tmpDir + '/certs'
    })
    assert.ok(task)
    let context = {
      verbose: false,
      logger: {
        info: noop,
        debug: noop,
        trace: noop
      }
    }
    yield task(context)
  }))
})

/* global describe, before, after, it */
